@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html,
body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

h1:focus {
    outline: none;
}

a,
.btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus,
.btn:active:focus,
.btn-link.nav-link:focus,
.form-control:focus,
.form-check-input:focus {
    /* box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb; */
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

.blazor-error-boundary::after {
    content: "An error has occurred."
}

.application-layout {
    background: #171717;
    border: 1px solid transparent;
    backdrop-filter: blur(2px);
    font-family: "Source Sans Pro";
}

.landing-text {
    margin-top: 175px !important;
    width: 52%;
    margin: auto;
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    line-height: 23px;
    text-align: center;
    color: #d3b36a;
}

.landing-text-label-white {
    margin: auto;
    font-style: normal;
    font-weight: 600;
    font-size: 20px;
    line-height: 35px;
    text-align: center;
    color: #ffffff;
}

.landing-text-label {
    margin: auto;
    font-style: normal;
    font-weight: 600;
    font-size: 20px;
    line-height: 35px;
    text-align: center;
    color: #000000;
}

.btn-register {
    width: 191px;
    height: 50px;
    background-color: #AD974F;
    border: 2px solid #D3B36A;
    border-radius: 2px;
    font-style: normal;
    font-size: 20px;
    line-height: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #000;
    margin: auto;
}

.btn-dashboard {
    width: 191px;
    height: 50px;
    background-color: #AD974F;
    border: 2px solid #ffffff;
    border-radius: 2px;
    font-style: normal;
    font-size: 18px;
    line-height: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #000;
    margin: auto;
}

.btn-form {
    background-color: #ad974f;
    border: 2px solid #fff;
    border-radius: 2px;
    font-style: normal;
    font-size: 14px;
    line-height: 25px;
    align-items: center;
    justify-content: center;
    color: #ffffff;
    margin: auto;
}

input[type=file] {
    max-width: 100%;
    padding: 5px;
    background: #AD974F;
    border-radius: 1px;
    border: 1px solid #ffffff;
}

input[type=file]::file-selector-button {
    margin-right: 20px;
    border: none;
    background: #AD974F;
    color: #fff;
    cursor: pointer;
    transition: background .2s ease-in-out;
}

.wrapper {
    background-color: #ffffff;
    width: 80%;
    padding: 80px;
    border: 2px inset #ad974f;
}

.wrapper-landing {
    background-color: #BFB971;
    padding-top: 50px;
    padding-right: 20px;
    padding-bottom: 20px;
    padding-left: 20px;
}

.wrapper-landing-button {
    background-color: #BFB971;
    padding-top: 50px;
    padding-right: 20px;
    padding-bottom: 20px;
    padding-left: 20px;
}

.k-input-solid {
    border-color: rgba(0, 0, 0, 0.08);
    color: #424242;
    background-color: #ffffff;
}

.k-input-md,
.k-picker-md {
    font-size: 14px;
    line-height: 1.4285714286;
}

.k-input,
.k-picker {
    margin: 0;
    padding: 0;
    width: 100%;
    min-width: 0;
    box-sizing: border-box;
    border-width: 1px;
    border-style: solid;
    outline: 0;
    font-family: inherit;
    font-size: 14px;
    line-height: 1.4285714286;
    font-weight: normal;
    text-align: start;
    box-shadow: none;
    display: inline-flex;
    flex-flow: row nowrap;
    align-items: stretch;
    vertical-align: middle;
    position: relative;
    overflow: hidden;
    text-overflow: ellipsis;
    height: 30px;
    -webkit-appearance: none;
}

.k-rounded-md {
    border-radius: 4px;
}

.k-input-inner {
    padding: 4px 8px;
    width: 100%;
    border: 0;
    outline: 0;
    color: inherit;
    background: none;
    font: inherit;
    flex: 1;
    position: relative;
    z-index: 1;
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-appearance: none;
}

.k-input-select-inner {
    padding: 4px 8px;
    width: 100%;
    border: 0;
    outline: 0;
    color: inherit;
    background: none;
    font: inherit;
    flex: 1;
    position: relative;
    z-index: 1;
    overflow: hidden;
    text-overflow: ellipsis;
}

.error-msg-nonstandard {
    margin-left: 45%;
}

.k-form-error,
.k-text-error,
.k-form-field-error .k-label {
    color: #f54f4f;
    font-size: 15px;
    font-weight: 600;
}

.k-form-buttons {
    margin-top: 2em;
    padding: 0;
    overflow: visible;
}

.k-actions-end {
    justify-content: flex-end;
}

.flex-row {
    flex-direction: row !important;
}

.w-100 {
    width: 100% !important;
}

.d-flex {
    display: flex !important;
}

.btn-register-email-reg {
    width: 145px;
    background-color: transparent;
    border-radius: 2px;
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 23px;
    color: #d3b36a;
}

.btn-register-email-reg:hover {
    color: white;
    border: 1.5px solid #d3b36a;
    border-radius: 2px;
}

.checkbox-container {
    margin-top: 1%;
    margin-left: 4%;
}

.file-container {
    margin-top: 1%;
    margin-left: 4%;
}

.checkbox-form {
    vertical-align: middle;
}

input.checkbox-input {
    width: 23px;
    height: 23px;
    margin-right: 10px;
}

.container-checkbox {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 14px;
    color: #000000;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

/* Hide the browser's default checkbox */
.container-checkbox input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

.container-checkbox input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

/* Create a custom checkbox */
.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    background-color: #eee;
}

/* On mouse-over, add a grey background color */
.container:hover input~.checkmark {
    background-color: #ccc;
}

/* When the checkbox is checked, add a blue background */
.container input:checked~.checkmark {
    background-color: #21f352;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the checkmark when checked */
.container input:checked~.checkmark:after {
    display: block;
}

/* Style the checkmark/indicator */
.container .checkmark:after {
    left: 9px;
    top: 5px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

.spinner {
    border: 16px solid silver;
    border-top: 16px solid #337AB7;
    border-radius: 50%;
    width: 80px;
    height: 80px;
    -webkit-animation: rotation 1.2s infinite linear;
    -moz-animation: rotation 1.2s infinite linear;
    -o-animation: rotation 1.2s infinite linear;
    animation: rotation 1.2s infinite linear;
    top: 40%;
    left: 45%;
    position: absolute;
    z-index: 999;
}

.sp_loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 998;
}

.login-buttons {
    margin-bottom: 1%;
}

.icon {
    line-height: 0;
    padding-right: 5px;
}

.home-link {
    height: 50px;
    font-style: normal;
    font-size: 24px;
    font-weight: 600;
    line-height: 25px;
    display: flex;
    align-items: center;
    color: #ad974f;
    margin: auto;
}

.home-link:hover {
    color: #ffffff;
}

.card-mngmt {
    /* Add shadows to create the "card" effect */
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    transition: 0.3s;
    background-color: black;
    color: white;
    border: 4px solid #ad974f;
    border-radius: 4px;
    padding: 5%;    
    font-size: 20px;
}

/* On mouse-over, add a deeper shadow */
.card-mngmt:hover {
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
}

/* Add some padding inside the card container */
.card-mngmt-container {
    padding: 2px 16px;
}

.btn-search-form {
    width: 125px;
    height: 35px;
    background-color: #D3B36A;
    border: 1px solid #AD974F;
    border-radius: 2px;
    font-style: normal;
    font-size: 16px;
    line-height: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #ffffff;
    margin: auto;
}

.btn-edit-btn {
    width: 125px;
    height: 35px;
    background-color: #D3B36A;
    border: 1px solid #AD974F;
    border-radius: 2px;
    font-style: normal;
    font-size: 14px;
    line-height: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #000000;
    margin: auto;
}

.btn-back-form {
    width: 125px;
    height: 32px;
    background-color: #D9D9D9;
    border: 0.5px solid #ced4da;
    border-radius: 2px;
    font-style: normal;
    font-size: 16px;
    line-height: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #000000;
}

.btn-approve-button {
    height: 32px;
    background-color: #238800;
    /* border: 0.5px solid #ced4da; */
    border-radius: 2px;
    font-style: normal;
    font-size: 16px;
    line-height: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #ffffff;
}

.btn-decline-button {
    height: 32px;
    background-color: #C10707;
    /* border: 0.5px solid #ced4da; */
    border-radius: 2px;
    font-style: normal;
    font-size: 16px;
    line-height: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #ffffff;
}

.form-label-mngmt {
    font-size: 14px;
    font-weight: 400;
}

.form-select-mngmt {
    padding: 4px 8px;
    width: 100%;
    border: 1px solid #ced4da;
    outline: 0;
    color: inherit;
    background: none;
    font: inherit;
    flex: 1;
    position: relative;
    z-index: 1;
    overflow: hidden;
    text-overflow: ellipsis;
    border-radius: 0.2rem;
}

.form-select-mngmt:disabled {
    background-color: #D9D9D940;
    border: 0px;
}

.form-input-field {
    padding: 4px 8px;
    width: 100%;
    border: 1px solid #ced4da;
    outline: 0;
    color: inherit;
    background: none;
    font: inherit;
    flex: 1;
    position: relative;
    z-index: 1;
    overflow: hidden;
    text-overflow: ellipsis;
    border-radius: 0.2rem;
}

.form-input-field:disabled {
    background-color: #D9D9D940;
    border: 0px;
}

.form-input-date {
    padding: 4px 8px;
    width: 100%;
    border: 1px solid #ced4da;
    outline: 0;
    color: inherit;
    background: none;
    font: inherit;
    flex: 1;
    position: relative;
    z-index: 1;
    overflow: hidden;
    text-overflow: ellipsis;
    border-radius: 0.2rem;
}

.form-input-date:disabled {
    background-color: #D9D9D940;
    border: 0px;
}

.table-container-mngmt {
    border: 0.5px solid #ced4da;
    padding: 0.5px;
}

.table-footer {
    border: 0.5px solid #ced4da;
    padding: 0.5px;
}

.table-mngmt {
    table-layout: fixed;
    width: 100%;
}

.table-mngmt th{
    padding-top: 12px;
    padding-bottom: 12px;
    padding-right: 10px;
    padding-left: 10px;
    text-align: left;
    font-size: 18px;
    font-weight: 500;
    background-color: #D3B36A;
    color: rgb(0, 0, 0);
}

.table-mngmt tbody {
    min-width: 400px;
}

.table-mngmt tr {
    padding-top: 12px;
    padding-bottom: 12px;
    padding-right: 10px;
    padding-left: 10px;
    text-align: left;
    color: #000000;;
    border-bottom: 0.5px solid #ced4da;
}

.table-mngmt td {
    padding-top: 8px;
    padding-bottom: 8px;
    padding-right: 10px;
    padding-left: 10px;
    text-align: left;
}

ul.pagination {
    font-size: .875rem;
}

ul.pagination li span {
    padding: 0.255rem 0.75rem;
}

ul.pagination .page-item.active .page-link {
    z-index: 3;
    color: #fff;
    background-color: gray;
    border-color: gray;
}

.form-select-pagination {
    padding: 4px 8px;
    border: 1px solid #ced4da;
    outline: 0;
    color: inherit;
    background: none;
    font: inherit;
    flex: 1;
    position: relative;
    z-index: 1;
    overflow: hidden;
    text-overflow: ellipsis;
    border-radius: 0.2rem;
}

.content-container {
    
}

.content-modal {
    background-color: #000;
}

.header-modal {
    font-size: 20px;
    color: #D3B36A;
    font-weight: 600;
}

.modal-label {
    font-size: 18px;
    font-weight: 400;
    color: #D3B36A;
    padding-bottom: 2%;
}



@-webkit-keyframes rotation {
    from {
        -webkit-transform: rotate(0deg);
    }

    to {
        -webkit-transform: rotate(359deg);
    }
}

@-moz-keyframes rotation {
    from {
        -moz-transform: rotate(0deg);
    }

    to {
        -moz-transform: rotate(359deg);
    }
}

@-o-keyframes rotation {
    from {
        -o-transform: rotate(0deg);
    }

    to {
        -o-transform: rotate(359deg);
    }
}

@keyframes rotation {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(359deg);
    }
}